<style>
    table {
          width: 100% !important;
      }
      .danger{
      background-color:#f44336 !important;
    }
  
    #products > .center > .header .search-wrapper {
  width: 100%;
  max-width: 480px;
  background-color: #ffffff;
  border-radius: 28px;
  overflow: hidden;
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
  }
  #products > .center > .header .search-wrapper .search input {
  width: 100%;
  height: 48px;
  min-height: 48px;
  max-height: 48px;
  padding: 0 16px;
  border: none;
  outline: none;
  }
  
  .header .search-wrapper .search .mat-icon {
  color: rgba(0, 0, 0, 0.54);
  }
  .mat-icon {
  background-repeat: no-repeat;
  display: inline-block;
  fill: currentColor;
  height: 24px;
  width: 24px;
  }
  .mat-icon {
  font-weight: 400 !important;
  line-height: 1;
  }
  </style>
  <div id="products" class="page-layout carded fullwidth">
  
      <!-- TOP BACKGROUND -->
      <div class="top-bg accent"></div>
      <!-- / TOP BACKGROUND -->
  
      <!-- CENTER -->
      <div class="center">
  
          <!-- HEADER -->
          <div class="header accent"
               fxLayout="column" fxLayoutAlign="center center"
               fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">
  
              <!-- APP TITLE -->
              <div class="logo mb-24 mb-md-0"
                   fxLayout="row" fxLayoutAlign="start center">
                  <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                      assignment
                  </mat-icon>
                  <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                      {{title}}
                  </span>
              </div>
              <!-- / APP TITLE -->
  
  
              <!-- ADD BUTTON -->
              <button mat-raised-button [routerLink]="[url]"
                      
                      class="add-product-button fuse-white mt-24 mt-md-0">
                  <span>BACK</span>
              </button>
              <!-- / ADD BUTTON -->
  
          </div>
          <!-- / HEADER -->
          <!-- CONTENT CARD -->
          <div class="content-card">
            <form [formGroup]="form">
            <div>
 
              <mat-form-field  style="margin-left: 15px;
              margin-top: 15px !important;
              margin-bottom: 10px !important;">
                <mat-label>Filter Access Type</mat-label>
                    <select matNativeControl formControlName="accessType" (change)="filterChange('','')">
                    <option value="">-- Select Access Type --</option>
                    <option [value]="accessType['id']"  *ngFor="let accessType of accessTypeData"> {{accessType['title']}}</option>    
                    </select>
              </mat-form-field>
  
            <mat-form-field  style="margin-left: 15px;
            margin-top: 15px !important;
            margin-bottom: 10px !important;">
              <mat-label>Filter Status</mat-label>
                  <select matNativeControl formControlName="status" (change)="filterChange('','')">
                  <option value="">-- Select Status --</option>
                  <option [value]="1" >Active</option>  
                  <option [value]="2" >Archive</option>      
                  </select>
            </mat-form-field>
  
              <mat-form-field  style="margin-left: 15px;
              margin-top: 15px !important;
              margin-bottom: 10px !important;">
                <mat-label>Filter Enterd Start Date</mat-label>
                <input matInput [matDatepicker]="picker1" formControlName="check_Date" (dateChange)="filterChange('','')" readonly>
                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                <mat-datepicker #picker1></mat-datepicker>
              </mat-form-field>
              <mat-form-field  style="margin-left: 15px;
              margin-top: 15px !important;
              margin-bottom: 10px !important;">
                <mat-label>Filter Enterd End Date</mat-label>
                <input matInput [matDatepicker]="picker2" formControlName="check_Date1" (dateChange)="filterChange('','')" readonly>
                <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                <mat-datepicker #picker2></mat-datepicker>
              </mat-form-field>
              &nbsp;
              <button mat-flat-button color="warn" (click)="ngOnInit()">Reset</button>
              &nbsp;
                <button mat-flat-button color="accent" (click)="exportCsv()"><mat-icon class="mat-18">cloud_download</mat-icon> Export</button>
                &nbsp;
                <button *ngIf="email"  mat-flat-button color="accent" (click)="sendReport()"><mat-icon class="mat-18">email</mat-icon> Send Report</button>
            </div>
            </form>
  
            <mat-card *ngIf="isLoading" 
            style="display: flex; justify-content: center; align-items: center">
           <mat-progress-spinner 
             color="primary" 
             mode="indeterminate">
           </mat-progress-spinner>
         </mat-card> 
         <div fusePerfectScrollbar>
            <table mat-table *ngIf="!isLoading"  [dataSource]="dataSource" class="products-table mat-elevation-z8"  [@animateStagger]="{value:'50'}"
            fusePerfectScrollbar>
                  <!--- Note that these columns can be defined in any order.
                        The actual rendered columns are set as a property on the row definition" -->
                
                  <!-- Position Column -->
                  <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
          <ng-container matColumnDef="assessment_id">
              <th mat-header-cell *matHeaderCellDef> Sr.No.</th> 
              <td mat-cell *matCellDef="let element; let i = index;"> {{element.assessment_id}} &nbsp;  &nbsp; &nbsp;</td>
            </ng-container>
          
  
          <ng-container matColumnDef="processor_id">
              <th mat-header-cell *matHeaderCellDef> Processor </th>
              <td mat-cell *matCellDef="let element"> {{element.company}} </td>
          
            </ng-container>
          
            <!-- Weight Column -->
            <ng-container matColumnDef="buTons">
              <th mat-header-cell *matHeaderCellDef>Butons</th>
              <td mat-cell *matCellDef="let element"> {{element.buTons}} </td>
            </ng-container>
            <ng-container matColumnDef="amount">
              <th mat-header-cell *matHeaderCellDef>Amount</th>
              <td mat-cell *matCellDef="let element"> {{element.amount}} </td>
            </ng-container>
  
            <ng-container matColumnDef="acssessType">
              <th mat-header-cell *matHeaderCellDef> Access Type </th>
              <td mat-cell *matCellDef="let element">
                  <span *ngIf="element.acssessType==1">Grain</span>
                  <span *ngIf="element.acssessType==2">Silage</span>
                 
              </td>
            </ng-container> 
            <!-- <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef> status </th>
              <td mat-cell *matCellDef="let element">
                  <p *ngIf="element.status==1" class="green-300">Active</p>
                  <p *ngIf="element.status==0" class="red-300">Inactive</p>
                  &nbsp; &nbsp; &nbsp;
              </td>
            </ng-container> -->
            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef>Action </th>
              <td mat-cell *matCellDef="let element">
                <button mat-raised-button (click)="onStatusChange(element.assessment_id,1)"  *ngIf="element.status==0"   color="green" class="success"> Active</button> 
                <button mat-raised-button (click)="onStatusChange(element.assessment_id,0)"  *ngIf="element.status==1"   color="accent" class="danger"> Archive</button>  
                <button  [routerLink]="['/apps/admin/Edit-Assessment', element.assessment_id]"   mat-raised-button color="accent"> Edit</button> 
                <button (click)="onDelete(element.assessment_id)" mat-raised-button  color="accent" class="danger"> Delete</button>
                <!-- <button [routerLink]="['/apps/admin/Manage-Notes', element.assessment_id,'assessment']"  mat-raised-button  color="accent">Notes</button>  -->
  
              </td>
            </ng-container>
                
                  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
                <center *ngIf="!isLoading && dataSource.filteredData.length == 0">No Records Found!</center>
  
                <mat-paginator [pageSizeOptions]="[50]"></mat-paginator>
  
         </div>       
  
  
          </div>
          <!-- / CONTENT CARD -->
      </div>
      <!-- / CENTER -->
  </div>
  